<?php


namespace Dedi\SyliusBlogPlugin\Entity;


use Dedi\SyliusBlogPlugin\Domain\Blog\Adapter\CategoryInterface as BaseDomainArticleCategoryInterface;
use Doctrine\Common\Collections\Collection;
use Sylius\Component\Core\Model\ChannelInterface;
use Sylius\Component\Resource\Model\ResourceInterface;
use Sylius\Component\Resource\Model\TranslatableInterface;

interface CategoryInterface extends ResourceInterface, TranslatableInterface, BaseDomainArticleCategoryInterface
{
    public function setPosition(int $position): self;

    public function setSlug(string $slug): self;

    public function setName(string $name): self;

    public function setDescription(?string $description): self;

    public function hasArticles(): bool;

    public function setSubCategories(Collection $subCategories): self;

    public function hasSubCategories(): bool;

    public function addSubCategory(CategoryInterface $category): bool;

    public function removeSubCategory(CategoryInterface $category): bool;

    public function getParents(): Collection;

    public function hasParents(): bool;

    public function getChannels(): Collection;

    public function setChannels(Collection $channels): self;

    public function addChannel(ChannelInterface $channel): bool;

    public function removeChannel(ChannelInterface $channel): bool;
}
