<?php

declare(strict_types=1);

namespace Dedi\SyliusBlogPlugin\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\CheckboxType;
use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Component\Form\Extension\Core\Type\UrlType;
use Symfony\Component\Form\FormBuilderInterface;

abstract class AbstractReferableTranslationType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add('enabled', CheckboxType::class, [
                'label' => 'dedi_blog.form.enabled',
            ])
            ->add('indexable', CheckboxType::class, [
                'label' => 'dedi_blog.form.seo.indexable',
            ])
            ->add('metadataTitle', TextType::class, [
                'label' => 'dedi_blog.form.seo.title',
                'required' => false
            ])
            ->add('metadataUrl', UrlType::class, [
                'label' => 'dedi_blog.form.seo.url',
                'attr' => ['placeholder' => 'http://...'],
                'required' => false
            ])
            ->add('metadataImage', UrlType::class, [
                'label' => 'dedi_blog.form.seo.image',
                'attr' => ['placeholder' => 'http://...'],
                'required' => false
            ])
            ->add('metadataType', TextType::class, [
                'label' => 'dedi_blog.form.seo.type',
                'empty_data' => 'article',
                'required' => false
            ])
            ->add('metadataDescription', TextType::class, [
                'label' => 'dedi_blog.form.seo.description',
                'required' => false
            ])
        ;
    }
}
